Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tool.instrument.cglib
Class InstrumentTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hibernate.tool.instrument.BasicInstrumentationTask
                  org.hibernate.tool.instrument.cglib.InstrumentTask

All Implemented Interfaces:
  Instrumenter.Options

Deprecated. Per HHH-5451 support for cglib as a bytecode provider has been deprecated; use `InstrumentTask` instead

    @Deprecated
    public class InstrumentTask

extends BasicInstrumentationTask

An Ant task for instrumenting persistent classes in order to enable field-level interception using CGLIB.

In order to use this task, typically you would define a a taskdef similar to:

where `lib.class.path` is an ANT path reference containing all the required Hibernate and CGLIB libraries.

And then use it like:

             ...

where the nested ANT fileset includes the class you would like to have instrumented.

Optionally you can chose to enable "Extended Instrumentation" if desired by specifying the extended attribute on the task:

         ...

See the Hibernate manual regarding this option.

Author:
  Gavin King, Steve Ebersole

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.tool.instrument.BasicInstrumentationTask
`BasicInstrumentationTask.LoggerBridge`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`InstrumentTask()` Deprecated.

Method Summary
`protected Instrumenter` | `buildInstrumenter(Logger logger, Instrumenter.Options options)` Deprecated.

Methods inherited from class org.hibernate.tool.instrument.BasicInstrumentationTask
`addFileset, execute, filesets, isExtended, isVerbose, performExtendedInstrumentation, setExtended, setVerbose`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstrumentTask

    public InstrumentTask()

  Deprecated.

Method Detail

### buildInstrumenter

    protected Instrumenter buildInstrumenter(Logger logger,
                                             Instrumenter.Options options)

  Deprecated.
  Specified by:
    `buildInstrumenter` in class `BasicInstrumentationTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.